package com.rehome.jpahefengweather.dto;



import com.rehome.jpahefengweather.utils.MapUtil;
import java.util.List;
import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-05-01 16:22
 */
//@ApiModel(value = "ForecastWeatherDto", description = "接收数据")
public class ForecastWeatherDto extends BaseDto{
    //@ApiModelProperty("天气预报数据")
    private List<ForecastDto>  daily;

    /**
     * 根据 map 还原 MaintenanceTemporaryFindDto
     *
     * @param map 映射map
     * @return com.rehome.jpahefengweather.dto.BaseDto
     * @author HuangWenFei
     * Created DateTime 2022-04-19 10:02
     */
    public static ForecastWeatherDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, ForecastWeatherDto.class);
    }

    public List<ForecastDto> getDaily() {
        return daily;
    }

    public void setDaily(List<ForecastDto> daily) {
        this.daily = daily;
    }
}